Sets  i    /1*4/
      j    /1*4/
;

Variables
           x(i)
           y(j)
           objvar;

Equations  e1
           e2
           e3
           e4
           e5;

e1.. power(x('1'),2) + power(x('2'),2) + 2*power(x('3'),2) + power(x('4'),2)
     - 5*x('1') - 5*x('2') - 21*x('3') + 7*x('4')
     - y('1') =E= 0;
e2.. power(x('1'),2) + power(x('2'),2) + power(x('3'),2) + power(x('4'),2)
     + x('1') - x('2') + x('3') - x('4') - 8
     - y('2') =E= 0;
e3.. power(x('1'),2) + 2*power(x('2'),2) + power(x('3'),2) + 2*power(x('4'),2)
     - x('1') - x('4') - 10
     - y('3') =E= 0;
e4.. power(x('1'),2) + power(x('2'),2) + power(x('3'),2)
     + 2*x('1') - x('2') - x('4') - 5
     - y('4') =E= 0;
e5.. max(y('1'), y('1') + 10*y('2'), y('1') + 10*y('3'), y('1') + 10*y('4'))
     - objvar =E= 0;

x.l('1') = 0;
x.l('2') = 0;
x.l('3') = 0;
x.l('4') = 0;

Model m / all /;
m.limrow=0; m.limcol=0;

Solve m using DNLP minimizing objvar;