Sets  i    /1*5/
      j    /1*10/
;

Alias (i,ii)

table   A(j,i)
            1       2       3       4       5
   1        0       0       0       0       0
   2        2       1       1       1       3
   3        1       2       1       1       2
   4        1       4       1       2       2
   5        3       2       1       0       1
   6        0       2       1       0       1
   7        1       1       1       1       1
   8        1       0       1       2       1
   9        0       0       2       1       0
  10        1       1       2       0       0
;

Parameter b(j)
         / 1   1
           2   5
           3   10
           4   2
           5   4
           6   3
           7   1.7
           8   2.5
           9   6
          10   3.5/;

Variables
           x(i)
           y
           objvar;

Equations  e1
           e;

e(j)..  y =g= b(j)*sum( i, power(x(i) - A(j,i),2) );

e1..  y - objvar =E= 0;

x.l('1') = 0;
x.l('2') = 0;
x.l('3') = 0;
x.l('4') = 0;
x.l('5') = 0;

Model m / all /;
m.limrow=0; m.limcol=0;

Solve m using DNLP minimizing objvar;