Sets  i    /1*10/
      j    /1*2/
;

Variables
           x(i)
           y(j)
           objvar;

Equations  e1
           e2
           e3;

e1..   exp( 10e-8*power(x('1'),2) + power(x('2') + 2,2) + power(x('3'),2)
       + 4*power(x('4'),2) + power(x('5'),2) + power(x('6'),2) + power(x('7'),2)
       + power(x('8'),2) + power(x('9'),2) + power(x('10'),2) )
       - y('1') =E= 0;
e2..   exp( 10e-8*power(x('1'),2) + power(x('2') - 2,2) + power(x('3'),2)
       + 4*power(x('4'),2) + power(x('5'),2) + power(x('6'),2) + power(x('7'),2)
       + power(x('8'),2) + power(x('9'),2) + power(x('10'),2) )
       - y('2') =E= 0;
e3.. smax(j,y(j)) - objvar =E= 0;

x.lo('1') = -500;
x.lo('2') = -4;
x.lo('3') = -4;
x.lo('4') = -4;
x.lo('5') = -4;
x.lo('6') = -4;
x.lo('7') = -4;
x.lo('8') = -4;
x.lo('9') = -4;
x.lo('10') = -4;
x.up('1') = 500;
x.up('2') = 4;
x.up('3') = 4;
x.up('4') = 4;
x.up('5') = 4;
x.up('6') = 4;
x.up('7') = 4;
x.up('8') = 4;
x.up('9') = 4;
x.up('10') = 4;


x.l('1') = 0;
x.l('2') = 0.;
x.l('3') = 0.;
x.l('4') = 0.;
x.l('5') = 0.;
x.l('6') = 0.;
x.l('7') = 0.;
x.l('8') = 0.;
x.l('9') = 0.;
x.l('10') = 0.;

Model m / all /;
m.limrow=0; m.limcol=0;

Solve m using DNLP minimizing objvar;