Sets  j    /1*11/
      i    /1*10/
;

Parameter auxj(j)
         / 1   1
           2   2
           3   3
           4   4
           5   5
           6   6
           7   7
           8   8
           9   9
          10   10
          11   11/;

Parameter auxi(i)
         / 1   1
           2   2
           3   3
           4   4
           5   5
           6   6
           7   7
           8   8
           9   9
          10   10/;

Variables
           x(j)
           y(i)
           objvar;

Equations  e(i)
           e1;

e(i)..  sum(j, exp( power(x(j) - sin( auxi(i) - 1 + 2*(auxj(j) - 1) ),2) )
        * (auxi(i) + auxj(j) - 1 ) )
       - y(i) =E= 0;
e1.. smax(i,y(i)) - objvar =E= 0;

x.lo('1') = -10;
x.lo('2') = -10;
x.lo('3') = -10;
x.lo('4') = -10;
x.lo('5') = -10;
x.lo('6') = -10;
x.lo('7') = -10;
x.lo('8') = -10;
x.lo('9') = -10;
x.lo('10') = -10;
x.up('1') = 10;
x.up('2') = 10;
x.up('3') = 10;
x.up('4') = 10;
x.up('5') = 10;
x.up('6') = 10;
x.up('7') = 10;
x.up('8') = 10;
x.up('9') = 10;
x.up('10') = 10;


x.l('1') = 1;
x.l('2') = 1;
x.l('3') = 1;
x.l('4') = 1;
x.l('5') = 1;
x.l('6') = 1;
x.l('7') = 1;
x.l('8') = 1;
x.l('9') = 1;
x.l('10') = 1;

Model m / all /;
m.limrow=0; m.limcol=0;

Solve m using DNLP minimizing objvar;