Sets  i    /1*3/
      j    /1*6/
;

Variables
           x(i)
           y(j)
           objvar;

Equations  e1
           e2
           e3
           e4
           e5
           e6
           e7;

e1.. power(x('1'),2) + power(x('2'),2) + power(x('3'),2) - 1
     - y('1') =E= 0;
e2.. power(x('1'),2) + power(x('2'),2) + power(x('3') - 2,2)
     - y('2') =E= 0;
e3.. x('1') + x('2') + x('3') - 1 - y('3') =E= 0;
e4.. x('1') + x('2') - x('3') + 1 - y('4') =E= 0;
e5.. 2*power(x('1'),3) + 6*power(x('2'),2) + 2*power(5*x('3') - x('1') + 1,2)
     - y('5') =E= 0;
e6.. power(x('1'),2) - 9*x('3') - y('6') =E= 0;
e7.. smax(j,y(j)) - objvar =E= 0;

Model m / all /;

Solve m using DNLP minimizing objvar;