Sets  i    /1*4/
      j    /1*4/
;

Variables
           x(i)
           y
           objvar;

Equations  e1
           e2
           e3
           e4
           e5;

e1.. power(x('1'),2) + power(x('2'),2) + 2*power(x('3'),2)
     + power(x('4'),2) - 5*x('1') - 5*x('2') - 21*x('3')
     + 7*x('4')
     =l= y;
e2.. power(x('1'),2) + power(x('2'),2) + 2*power(x('3'),2)
     + power(x('4'),2) - 5*x('1') - 5*x('2') - 21*x('3')
     + 7*x('4')
     + 10*(
     power(x('1'),2) + power(x('2'),2) + power(x('3'),2) +
     power(x('4'),2) + x('1') - x('2') + x('3') - x('4') - 8
     ) =l= y;
e3.. power(x('1'),2) + power(x('2'),2) + 2*power(x('3'),2)
     + power(x('4'),2) - 5*x('1') - 5*x('2') - 21*x('3')
     + 7*x('4')
     + 10*(
     power(x('1'),2) + 2*power(x('2'),2) + power(x('3'),2) +
     2*power(x('4'),2) - x('1') - x('4') - 10
     ) =l= y;
e4.. power(x('1'),2) + power(x('2'),2) + 2*power(x('3'),2)
     + power(x('4'),2) - 5*x('1') - 5*x('2') - 21*x('3')
     + 7*x('4')
     + 10*(
     2*power(x('1'),2) + power(x('2'),2) + power(x('3'),2) +
     2*x('1') - x('2') - x('4') - 5
     ) =l= y;
e5.. y - objvar =E= 0;

x.l('1') = 0;
x.l('2') = 0;

x.lo('1') = -1000;
x.lo('2') = -1000;
x.lo('3') = -1000;
x.lo('4') = -1000;
x.up('1') = 1000;
x.up('2') = 1000;
x.up('3') = 1000;
x.up('4') = 1000;

Model m / all /;
m.limrow=0; m.limcol=0;

Solve m using DNLP minimizing objvar;