Sets  i    /1*2/
      j    /1*2/
;

Variables
           x(i)
           y(j)
           objvar;

Equations  e1
           e2
           e3;

e1.. -x('1') - x('2')
     - y('1') =E= 0;
e2.. -x('1') - x('2') + (power(x('1'),2) + power(x('2'),2) - 1)
     - y('2') =E= 0;
e3.. smax(j,y(j)) - objvar =E= 0;

x.l('1') = -0.5;
x.l('2') = -0.5;

Model m / all /;
m.limrow=0; m.limcol=0;

Solve m using DNLP minimizing objvar;